import { defineComponent, toRefs, ref, watch, openBlock, createElementBlock, createElementVNode, Fragment, renderList, normalizeClass, toDisplayString } from 'vue';

var script = defineComponent({
  props: {
    steps: {
      type: Array,
      required: true
    },
    activeStep: {
      type: Number,
      required: true
    }
  },

  setup(props) {
    const {
      activeStep
    } = toRefs(props);
    const oldStep = ref(1);
    watch(activeStep, (currentIndex, oldIndex) => {
      oldStep.value = oldIndex;
    });

    function isCompleted(index) {
      if (activeStep.value > oldStep.value && index < activeStep.value || index < activeStep.value && oldStep.value > index) return "completed";
      return "";
    }

    return {
      isCompleted
    };
  }

});

const _hoisted_1 = {
  class: "step_progress_main"
};
const _hoisted_2 = {
  class: "container"
};
const _hoisted_3 = {
  id: "progressbar"
};
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("div", _hoisted_1, [createElementVNode("div", _hoisted_2, [createElementVNode("ul", _hoisted_3, [(openBlock(true), createElementBlock(Fragment, null, renderList(_ctx.steps, (step, index) => {
    return openBlock(), createElementBlock("li", {
      key: 'step_' + index,
      class: normalizeClass(_ctx.activeStep == index + 1 ? 'active' : '' + _ctx.isCompleted(index + 1))
    }, toDisplayString(step), 3);
  }), 128))])])]);
}

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "\nul[data-v-4c2a4120] {\n  display: block;\n  list-style-type: disc;\n  margin-block-start: 1em;\n  margin-block-end: 1em;\n  margin-inline-start: 0px;\n  margin-inline-end: 0px;\n  padding-inline-start: 40px;\n}\n.step_progress_main[data-v-4c2a4120] {\n  display: flex;\n  flex-direction: row;\n  flex-wrap: wrap;\n}\n.container[data-v-4c2a4120] {\n  width: 100%;\n  z-index: 1;\n  margin: 0 auto;\n}\n#progressbar[data-v-4c2a4120] {\n  counter-reset: step;\n  width: 100% !important;\n}\n#progressbar li[data-v-4c2a4120] {\n  position: relative;\n  list-style: none;\n  float: left;\n  width: 33%;\n  text-align: center;\n  min-height: 10px;\n  color: #707070;\n}\n#progressbar li[data-v-4c2a4120]:before {\n  content: counter(step);\n  counter-increment: step;\n  width: 30px;\n  height: 30px;\n  border: 1px solid #c6c6c6;\n  display: block;\n  margin: 0 auto 10px auto;\n  border-radius: 50%;\n  line-height: 25px;\n  background: #c6c6c6;\n  color: #707070;\n  text-align: center;\n  font-weight: bold;\n  margin-bottom: -4rem;\n  position: relative;\n  z-index: 9;\n}\n#progressbar li[data-v-4c2a4120]:after {\n  content: \"\";\n  position: absolute;\n  width: 100%;\n  height: 2px;\n  background: #e3e3e3;\n  top: 15px;\n  left: -50%;\n  z-index: -1;\n}\n#progressbar li.active[data-v-4c2a4120] {\n  color: #045cab;\n}\n#progressbar li.active[data-v-4c2a4120]:before,\n#progressbar li.completed[data-v-4c2a4120]:before {\n  background: #045cab;\n  color: white;\n  border: 1px solid #045cab;\n}\n#progressbar li.completed[data-v-4c2a4120]:before {\n  content: \"✔\";\n}\n#progressbar li.active[data-v-4c2a4120]:after,\n#progressbar li.completed[data-v-4c2a4120]:after {\n  background: #045cab;\n}\n#progressbar li[data-v-4c2a4120]:first-child:after {\n  content: none;\n}\n";
styleInject(css_248z);

script.render = render;
script.__scopeId = "data-v-4c2a4120";

// Import vue component
// IIFE injects install function into component, allowing component
// to be registered via Vue.use() as well as Vue.component(),

var entry_esm = /*#__PURE__*/(() => {
  // Get component instance
  const installable = script; // Attach install function executed by Vue.use()

  installable.install = app => {
    app.component('Vue3StepProgress', installable);
  };

  return installable;
})(); // It's possible to expose named exports when writing components that can
// also be used as directives, etc. - eg. import { RollupDemoDirective } from 'rollup-demo';
// export const RollupDemoDirective = directive;

export { entry_esm as default };
