'use strict';var vue=require('vue');function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}

function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}

function _iterableToArrayLimit(arr, i) {
  var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];

  if (_i == null) return;
  var _arr = [];
  var _n = true;
  var _d = false;

  var _s, _e;

  try {
    for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);

      if (i && _arr.length === i) break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null) _i["return"]();
    } finally {
      if (_d) throw _e;
    }
  }

  return _arr;
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

  return arr2;
}

function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}var script = vue.defineComponent({
  props: {
    steps: {
      type: Array,
      required: true
    },
    activeStep: {
      type: Number,
      required: true
    }
  },
  setup: function setup(props) {
    var _toRefs = vue.toRefs(props),
        activeStep = _toRefs.activeStep;

    var oldStep = vue.ref(1);
    vue.watch(activeStep, function (currentIndex, oldIndex) {
      oldStep.value = oldIndex;
    });

    function isCompleted(index) {
      if (activeStep.value > oldStep.value && index < activeStep.value || index < activeStep.value && oldStep.value > index) return "completed";
      return "";
    }

    return {
      isCompleted: isCompleted
    };
  }
});var _hoisted_1 = {
  class: "step_progress_main"
};
var _hoisted_2 = {
  class: "container"
};
var _hoisted_3 = {
  id: "progressbar"
};
function render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("div", _hoisted_1, [vue.createElementVNode("div", _hoisted_2, [vue.createElementVNode("ul", _hoisted_3, [(vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.steps, function (step, index) {
    return vue.openBlock(), vue.createElementBlock("li", {
      key: 'step_' + index,
      class: vue.normalizeClass(_ctx.activeStep == index + 1 ? 'active' : '' + _ctx.isCompleted(index + 1))
    }, vue.toDisplayString(step), 3);
  }), 128))])])]);
}function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}var css_248z = "\nul[data-v-4c2a4120] {\n  display: block;\n  list-style-type: disc;\n  margin-block-start: 1em;\n  margin-block-end: 1em;\n  margin-inline-start: 0px;\n  margin-inline-end: 0px;\n  padding-inline-start: 40px;\n}\n.step_progress_main[data-v-4c2a4120] {\n  display: flex;\n  flex-direction: row;\n  flex-wrap: wrap;\n}\n.container[data-v-4c2a4120] {\n  width: 100%;\n  z-index: 1;\n  margin: 0 auto;\n}\n#progressbar[data-v-4c2a4120] {\n  counter-reset: step;\n  width: 100% !important;\n}\n#progressbar li[data-v-4c2a4120] {\n  position: relative;\n  list-style: none;\n  float: left;\n  width: 33%;\n  text-align: center;\n  min-height: 10px;\n  color: #707070;\n}\n#progressbar li[data-v-4c2a4120]:before {\n  content: counter(step);\n  counter-increment: step;\n  width: 30px;\n  height: 30px;\n  border: 1px solid #c6c6c6;\n  display: block;\n  margin: 0 auto 10px auto;\n  border-radius: 50%;\n  line-height: 25px;\n  background: #c6c6c6;\n  color: #707070;\n  text-align: center;\n  font-weight: bold;\n  margin-bottom: -4rem;\n  position: relative;\n  z-index: 9;\n}\n#progressbar li[data-v-4c2a4120]:after {\n  content: \"\";\n  position: absolute;\n  width: 100%;\n  height: 2px;\n  background: #e3e3e3;\n  top: 15px;\n  left: -50%;\n  z-index: -1;\n}\n#progressbar li.active[data-v-4c2a4120] {\n  color: #045cab;\n}\n#progressbar li.active[data-v-4c2a4120]:before,\n#progressbar li.completed[data-v-4c2a4120]:before {\n  background: #045cab;\n  color: white;\n  border: 1px solid #045cab;\n}\n#progressbar li.completed[data-v-4c2a4120]:before {\n  content: \"✔\";\n}\n#progressbar li.active[data-v-4c2a4120]:after,\n#progressbar li.completed[data-v-4c2a4120]:after {\n  background: #045cab;\n}\n#progressbar li[data-v-4c2a4120]:first-child:after {\n  content: none;\n}\n";
styleInject(css_248z);script.render = render;
script.__scopeId = "data-v-4c2a4120";// Import vue component
// IIFE injects install function into component, allowing component
// to be registered via Vue.use() as well as Vue.component(),

var component = /*#__PURE__*/(function () {
  // Get component instance
  var installable = script; // Attach install function executed by Vue.use()

  installable.install = function (app) {
    app.component('Vue3StepProgress', installable);
  };

  return installable;
})(); // It's possible to expose named exports when writing components that can
// also be used as directives, etc. - eg. import { RollupDemoDirective } from 'rollup-demo';
// export const RollupDemoDirective = directive;
var namedExports=/*#__PURE__*/Object.freeze({__proto__:null,'default':component});// only expose one global var, with named exports exposed as properties of
// that global var (eg. plugin.namedExport)

Object.entries(namedExports).forEach(function (_ref) {
  var _ref2 = _slicedToArray(_ref, 2),
      exportName = _ref2[0],
      exported = _ref2[1];

  if (exportName !== 'default') component[exportName] = exported;
});module.exports=component;